#! /bin/bash
clear

PS3="Hello,
Select the Chameleon Trunk/s you wish to build from the provided options above by typing the number: "
select answer in "Main Trunk" "ErmaC Trunk" "All" "Exit"

do
case $answer in

"Exit")
echo "Have a Good Day..."
exit




;;
"Main Trunk")
echo "Compiling Main Trunk now..."


# Workaround for Xcode 4.5.x


echo "

Please locate & drag downloaded 10.8-4.4.1.5.4_libcc_kext.dmg file onto this terminal window now"

read Xcode

sudo hdiutil mount "$Xcode" -owners on
sudo sleep 01
sudo vsdbutil -i
cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo mv libcc_kext.a libcc_kext.new
sudo cp -Rp /Volumes/10.8-4.4.1.5.4_libcc_kext/libcc_kext.a /usr/llvm-gcc-*/lib/gcc/*/*/
cd
sudo hdiutil eject /Volumes/10.8-4*


# Downloading Chameleon


clear

svn info http://forge.voodooprojects.org/svn/chameleon

echo "

Please Input Chameleon Version No."

read cham


mkdir ~/Desktop/r"$cham"

mkdir ~/Desktop/r"$cham"/Source

mkdir ~/Desktop/r"$cham"/Compiled

mkdir ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"

sudo svn co -r HEAD http://forge.voodooprojects.org/svn/chameleon/trunk ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk

sudo chown -R 0:0 ~/Desktop/r"$cham"


sleep 1


# Compiling Chameleon


cd ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk
sudo make clean
sudo make distclean
sudo make
sudo make pkg
cd



# Disk-Imaging Compiled Materials 


sudo cp -Rp ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk/sym ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"

sudo rm -rf ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"/*.md5 ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"/package 

sudo hdiutil create -srcfolder ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham" -noanyowners -imagekey zlib-level=9 ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham".dmg




# Riveting Xcode 4.5.1 libcc_kext.a


cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo rm -rf libcc_kext.a
sudo mv libcc_kext.new libcc_kext.a
cd



# Final Touchups

  
sudo chown -R 501:501 ~/Desktop/r"$cham"

open ~/Desktop/r"$cham"/Source
open ~/Desktop/r"$cham"/Compiled


echo "Compilation of Main Trunk  Done...!:)"
exit




;;
"ErmaC Trunk")
echo "Compiling ErmaC Trunk now..."


# Workaround for Xcode 4.5.x


echo "

Please locate & drag downloaded 10.8-4.4.1.5.4_libcc_kext.dmg file onto this terminal window now"

read Xcode

sudo hdiutil mount "$Xcode" -owners on
sudo sleep 01
sudo vsdbutil -i
cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo mv libcc_kext.a libcc_kext.new
sudo cp -Rp /Volumes/10.8-4.4.1.5.4_libcc_kext/libcc_kext.a /usr/llvm-gcc-*/lib/gcc/*/*/
cd
sudo hdiutil eject /Volumes/10.8-4*



# Downloading Chameleon


clear

svn info http://forge.voodooprojects.org/svn/chameleon

echo "

Please Input Chameleon Version No."

read cham


mkdir ~/Desktop/r"$cham"

mkdir ~/Desktop/r"$cham"/Source

mkdir ~/Desktop/r"$cham"/Compiled

mkdir ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"

sudo svn co -r HEAD http://forge.voodooprojects.org/svn/chameleon/branches/ErmaC/Trunk ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk

sudo chown -R 0:0 ~/Desktop/r"$cham"


sleep 1


# Compiling Chameleon


cd ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk
sudo make clean
sudo make distclean
sudo make
sudo make pkg

cd



# Disk-Imaging Compiled Materials 


sudo cp -Rp ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk/sym ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"

sudo rm -rf ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"/*.md5 ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"/package

sudo hdiutil create -srcfolder ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham" -noanyowners -imagekey zlib-level=9 ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham".dmg



# Riveting Xcode 4.5.1 libcc_kext.a


cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo rm -rf libcc_kext.a
sudo mv libcc_kext.new libcc_kext.a
cd



# Final Touchups

  
sudo chown -R 501:501 ~/Desktop/r"$cham"

open ~/Desktop/r"$cham"/Source
open ~/Desktop/r"$cham"/Compiled


echo "Downloading & Compilation Done...!:)"
exit




;;
"All")
echo "Compiling Both Main & ErmaC Trunks now..."


# Workaround for Xcode 4.5.x


echo "

Please locate & drag downloaded 10.8-4.4.1.5.4_libcc_kext.dmg file onto this terminal window now"

read Xcode

sudo hdiutil mount "$Xcode" -owners on
sudo sleep 01
sudo vsdbutil -i
cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo mv libcc_kext.a libcc_kext.new
sudo cp -Rp /Volumes/10.8-4.4.1.5.4_libcc_kext/libcc_kext.a /usr/llvm-gcc-*/lib/gcc/*/*/
cd
sudo hdiutil eject /Volumes/10.8-4*



# Downloading Chameleon


clear

svn info http://forge.voodooprojects.org/svn/chameleon

echo "

Please Input Chameleon Version No."

read cham


mkdir ~/Desktop/r"$cham"

mkdir ~/Desktop/r"$cham"/Source

mkdir ~/Desktop/r"$cham"/Compiled

mkdir ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"

mkdir ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"

sudo svn co -r HEAD http://forge.voodooprojects.org/svn/chameleon/trunk ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk

sudo svn co -r HEAD http://forge.voodooprojects.org/svn/chameleon/branches/ErmaC/Trunk ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk

sudo chown -R 0:0 ~/Desktop/r"$cham"


sleep 1


# Compiling Chameleon


cd ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk
sudo make clean
sudo make distclean
sudo make
sudo make pkg 


cd ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk
sudo make clean
sudo make distclean
sudo make
sudo make pkg

cd



# Disk-Imaging Compiled Materials 


sudo cp -Rp ~/Desktop/r"$cham"/Source/Chameleon-2.1svn-r"$cham"/trunk/sym ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"
sudo cp -Rp ~/Desktop/r"$cham"/Source/ErmaC-r"$cham"/Trunk/sym ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"

sudo rm -rf ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"/*.md5 ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham"/package 
sudo rm -rf ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"/*.md5 ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham"/package

sudo hdiutil create -srcfolder ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham" -noanyowners -imagekey zlib-level=9 ~/Desktop/r"$cham"/Compiled/Chameleon-2.1svn-r"$cham".dmg
sudo hdiutil create -srcfolder ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham" -noanyowners -imagekey zlib-level=9 ~/Desktop/r"$cham"/Compiled/ErmaC-r"$cham".dmg



# Riveting Xcode 4.5.1 libcc_kext.a


cd /usr/llvm-gcc-*/lib/gcc/*/*/
sudo rm -rf libcc_kext.a
sudo mv libcc_kext.new libcc_kext.a
cd



# Final Touchups

  
sudo chown -R 501:501 ~/Desktop/r"$cham"

open ~/Desktop/r"$cham"/Source
open ~/Desktop/r"$cham"/Compiled


echo "Downloading & Compilation Done...!:)"
exit




;;
*)
echo "Invalid Entry. "
esac
done
exit now
